Jiniu AIJiniu AI
Docs
VideosSora format

Get video task status

OpenAI-compatible endpoint for polling a video task.

Returns the task's detailed status.

GET
/v1/videos/{task_id}

Path Parameters

task_id*string

Video task ID

Response Body

application/json

application/json

curl -X GET "https://jiniu.ai/v1/videos/string"
{
  "id": "sora-2-123456",
  "object": "video",
  "model": "sora-2",
  "status": "queued",
  "progress": 0,
  "created_at": 1764347090922,
  "seconds": "8"
}
{
  "error": {
    "message": "string",
    "type": "string",
    "param": "string",
    "code": "string"
  }
}